Publications

List Publication Draft Adoptions

GET
/api/projects/{projectId}/publications/{publicationId}/draft/adoptions

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
adoptions*array<>
Example Request
curl -X GET 'https://postbot.example/api/projects/string/publications/string/draft/adoptions'
Example Response
{
  "adoptions": [
    {
      "id": "string",
      "draft": {
        "id": "string",
        "projectId": "string",
        "publicationId": "string",
        "profileVersionId": "string",
        "sourceRevision": 1,
        "baseSourceContent": {
          "body": {
            "text": "string",
            "format": "plain_text"
          },
          "headline": "string",
          "language": "string",
          "media": [
            {
              "assetId": "string",
              "accessibilityText": "string"
            }
          ]
        },
        "content": {},
        "reviewState": "compatible",
        "validationIssues": [
          {}
        ],
        "lastAssessedProfileVersionId": "string",
        "revision": 1,
        "updatedByActorId": "string",
        "createdAt": 0,
        "updatedAt": 0
      },
      "localContent": {},
      "adoptedProfileVersionId": "string",
      "targetRevisionId": "string",
      "createdAt": 0
    }
  ]
}

Was this page helpful?